cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement

## Class SLR_S29

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLR_S28_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLR_S29

-     public final class SLR_S29
      extends SLR_S28_Common

  SLT_S29 - Request Sterilization Lot Deletion (Event S29). A request sterilization lot deletion is sent by the placer application to the filler application to request that a lot that had been created in error be removed from the system.

  Represents a SLT_S29 message structure (see chapter 17.5.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: SLT (Sterilization Lot) MULTIPLE_COMPULSARY
  The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SLT_S29 objS29 = (SLT_S29)MessageFactory.createInstance().createSendSupportedMessage("SLT", "S29");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLR_S28_Common

      `addSoftwareSegment, addSoftwareSegment, addSterilizationLotSegment, addSterilizationLotSegments, getSoftwareSegments, getSterilizationLotSegments, getUserAuthenticationCredentialSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`